Skip to content

Run an AI Makeup Virtual Try On task.

Request

This endpoint initiates the makeup virtual try-on process. You must provide a source file (via URL or File ID) and specify the effects to apply using the defined effect schemas. The task will be processed asynchronously, and you can check its status using the task_id returned in this response.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
versionstring

Version of the makeup effect specification. Defaults to "1.0" unless otherwise specified.

Default:"1.0"
Example:"1.0"
effectsArray of anyrequired

Array of makeup effects to apply. Each effect object MUST specify a category and match the schema for that makeup type.

src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/makeup-vto
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/makeup-vto \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg",
    "version": "1.0",
    "effects": [
      {
        "category": "skin_smooth",
        "skinSmoothStrength": 50,
        "skinSmoothColorIntensity": 50
      }
    ]
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }